> ## Documentation Index
> Fetch the complete documentation index at: https://developer.obiex.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Quote



## OpenAPI

````yaml /api-reference/openapi.json post /trades/quote
openapi: 3.0.0
info:
  title: Obiex API
  version: 1.0.0
  description: >-
    Welcome to the Obiex API Documentation, your guide to building amazing
    payment experiences with our powerful APIs.


    Start by reviewing the overview of each folder to understand how the APIs
    function and interact. This will help you get the most out of our platform
    and easily integrate its features into your applications.
servers:
  - url: https://api.obiex.finance/v1
security: []
paths:
  /trades/quote:
    post:
      tags:
        - Trades
      summary: Create Quote
      parameters:
        - name: X-API-KEY
          in: header
          required: false
          deprecated: false
          schema: {}
        - name: X-API-TIMESTAMP
          in: header
          required: false
          deprecated: false
          schema: {}
        - name: X-API-SIGNATURE
          in: header
          required: false
          deprecated: false
          schema: {}
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sourceId:
                  type: string
                targetId:
                  type: string
                amount:
                  type: integer
                side:
                  type: string
            example:
              sourceId: USDT
              targetId: NGNX
              amount: 10
              side: SELL
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              example:
                message: Ok
                data:
                  id: c1774607104143
                  sourceId: 55456608-8c9f-499d-99b4-15ceafef3212
                  targetId: de3423cb-e81c-464f-8bb4-d9da15a37e8b
                  rate: 1426
                  side: SELL
                  amount: 10
                  amountReceived: 14260
                  sourceDollarRate: 0.99
                  targetDollarRate: 0.0007
                  expiryDate: '2026-03-27T10:25:34.143Z'
                  sourceCode: USDT
                  targetCode: NGNX
                  expiresIn: 30
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````